<?php
function addTwitWithUserName($name,$description,$from_user_name = null){
    global $db;
    
    $user = retrieveUserByName($name);
    if(!$user)    return false;

    if($from_user_name){
        $from_user = retrieveUserByName($from_user_name);
        if(!$from_user)    return false;
        $from_user_id = $from_user['id'];
    }else{
        $from_user_id = null;
    }
    
    $sql = 'INSERT INTO twit (user_id, description, posted_at, from_user_id) VALUES (:user_id, :description, :posted_at, :from_user_id); ';
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':user_id',$user['id'],PDO::PARAM_INT);
    $stmt->bindParam(':description',$description,PDO::PARAM_STR);
    $stmt->bindParam(':posted_at',time(),PDO::PARAM_INT);
    if($from_user)    $stmt->bindParam(':from_user_id',$from_user['id'],PDO::PARAM_INT);
    else     $stmt->bindParam(':from_user_id',$from_user_id,PDO::PARAM_NULL);
    
    try{
        $stmt->execute();
    }catch(PDOException $e){
        echo $e->getMessage();
        return false;
    }
    return true;
}
?>